Bug 59909 - WebInvokeAttributeTest.RejectTwoParametersWhenNotWrapped() fails on Android
Summary: WebInvokeAttributeTest.RejectTwoParametersWhenNotWrapped() fails on Android
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: WCF assemblies (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-10-03 01:37 UTC by Jonathan Pryor
Modified: 2017-11-04 11:57 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jonathan Pryor 2017-10-03 01:37:23 UTC
Context: https://github.com/xamarin/xamarin-android/pull/872

The xamarin-android repo will begin using Mono's new NUnitLite infrastructure for unit tests. Instead of "including" many of mono's BCL unit tests into a separate test project, xamarin-android will directly use the mono-built test assemblies from:

> make -C mcs/class/System.ServiceModel.Web PROFILE=monodroid test


Unfortunately, not all tests pass as-is when running on Android.

The `MonoTests.System.ServiceModel.Description.WebInvokeAttributeTest.RejectTwoParametersWhenNotWrapped()` test fails when run in this environment, as `WebChannelFactory<T>.CreateChannel()` doesn't throw an InvalidOperationException:

https://jenkins.mono-project.com/job/xamarin-android-pr-builder/1720/testReport/(root)/WebInvokeAttributeTest/RejectTwoParametersWhenNotWrapped

I do not know why this test is failing.
Comment 1 Alexander Köplinger [MSFT] 2017-11-04 11:57:20 UTC
Fixed by https://github.com/mono/mono/pull/5942